Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal
Class ConventionAwareHelper

    java.lang.Object
      org.gradle.api.internal.ConventionAwareHelper

    class ConventionAwareHelper
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`ConventionAwareHelper(IConventionAware source)`

Method Summary
`java.lang.Object` | `convention(Convention convention, Map conventionMapping)`
`java.lang.Object` | `conventionMapping(Map mapping)`
`Convention` | `getConvention()`
`Map` | `getConventionMapping()`
`Map` | `getConventionMappingCache()`
`java.lang.Object` | `getConventionValue(java.lang.String propertyName)`
`java.lang.Object` | `getConventionValue(java.lang.Object internalValue, java.lang.String propertyName)`
`IConventionAware` | `getSource()`
`void` | `setConvention(Convention convention)`
`void` | `setConventionMapping(Map conventionMapping)`
`void` | `setConventionMappingCache(Map conventionMappingCache)`
`void` | `setSource(IConventionAware source)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### ConventionAwareHelper

    public ConventionAwareHelper(IConventionAware source)

Method Detail

### convention

    public java.lang.Object convention(Convention convention, Map conventionMapping)

### conventionMapping

    public java.lang.Object conventionMapping(Map mapping)

### getConvention

    public Convention getConvention()

### getConventionMapping

    public Map getConventionMapping()

### getConventionMappingCache

    public Map getConventionMappingCache()

### getConventionValue

    public java.lang.Object getConventionValue(java.lang.String propertyName)

### getConventionValue

    public java.lang.Object getConventionValue(java.lang.Object internalValue, java.lang.String propertyName)

### getSource

    public IConventionAware getSource()

### setConvention

    public void setConvention(Convention convention)

### setConventionMapping

    public void setConventionMapping(Map conventionMapping)

### setConventionMappingCache

    public void setConventionMappingCache(Map conventionMappingCache)

### setSource

    public void setSource(IConventionAware source)

Groovy Documentation